{
	"schema": "https://iot-ap.ikonke.com/model/product_3006.json",
	"productType": "curtain",
	"version": "1.0",
	"profile": {
		"heartbeat": "300",
		"productCode": "3006",
		"productName": "星辰系列.零火线双路窗帘面板Z3S"
	},
	"services": [
		{
			"outputData": [],
			"identifier": "set",
			"inputData": [
			    {
				    "identifier": "OperationMode_1",
				    "dataType": {
					    "specs": {
						    "0": "关闭",
						    "1": "开启",
						    "2": "暂停"
					    },
					    "type": "enum"
				    },
				    "name": "窗帘操作模式"
			    },
			    {
					"identifier": "TripTime_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "30",
							"max": "240",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "行程时间"
				},
			    {
				    "identifier": "OperationMode_2",
				    "dataType": {
					    "specs": {
						    "0": "关闭",
						    "1": "开启",
						    "2": "暂停"
					    },
					    "type": "enum"
				    },
				    "name": "窗帘操作模式"
			    },
			    {
					"identifier": "TripTime_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "30",
							"max": "240",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "行程时间"
				},
			    {
                    "identifier":"NoDisturbMode",
                    "dataType":{
                        "specs":{
                            "0":"关闭",
                            "1":"打开"
                        },
                        "type":"bool"
                    },
                    "name":"勿扰模式开关"
                }
			],
			"method": "thing.service.property.set",
			"name": "set",
			"required": true,
			"callType": "async",
			"desc": "属性设置"
		}, 
		{
			"outputData": [
				{
				    "identifier": "OperationMode_1",
				    "dataType": {
					    "specs": {
						    "0": "关闭",
						    "1": "开启",
						    "2": "暂停"
					    },
					    "type": "enum"
				    },
				    "name": "窗帘操作模式"
			    },
			    {
					"identifier": "TripTime_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "30",
							"max": "240",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "行程时间"
				},
			    {
				    "identifier": "OperationMode_2",
				    "dataType": {
					    "specs": {
						    "0": "关闭",
						    "1": "开启",
						    "2": "暂停"
					    },
					    "type": "enum"
				    },
				    "name": "窗帘操作模式"
			    },
			    {
					"identifier": "TripTime_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "30",
							"max": "240",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "行程时间"
				},
				{
                    "identifier":"NoDisturbMode",
                    "dataType":{
                        "specs":{
                            "0":"关闭",
                            "1":"打开"
                        },
                        "type":"bool"
                    },
                    "name":"勿扰模式开关"
                }
			],
			"identifier": "get",
			"inputData": [
				"OperationMode_1",
				"TripTime_1",
				"OperationMode_2",
				"TripTime_2",
				"NoDisturbMode"
			],
			"method": "thing.service.property.get",
			"name": "get",
			"required": true,
			"callType": "async",
			"desc": "属性获取"
		}
	],
	"properties": [
		{
			"identifier": "OperationMode_1",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "开启",
					"2": "暂停"
				},
				"type": "enum"
			},
			"name": "窗帘操作模式",
			"accessMode": "rw",
			"required": true
		},
		{
			"identifier": "TripTime_1",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "30",
					"max": "240",
					"unit": "s",
					"unitName": "秒",
					"step": "1"
				}
			},
			"name": "行程时间",
			"accessMode": "rw",
			"required": true
		},
		{
			"identifier": "OperationMode_2",
			"dataType": {
				"specs": {
					"0": "关闭",
					"1": "开启",
					"2": "暂停"
				},
				"type": "enum"
			},
			"name": "窗帘操作模式",
			"accessMode": "rw",
			"required": true
		},
		{
			"identifier": "TripTime_2",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "30",
					"max": "240",
					"unit": "s",
					"unitName": "秒",
					"step": "1"
				}
			},
			"name": "行程时间",
			"accessMode": "rw",
			"required": true
		},
		{
            "identifier":"NoDisturbMode",
            "dataType":{
                "specs":{
                    "0":"关闭",
                    "1":"打开"
                },
                "type":"bool"
            },
            "name":"勿扰模式开关",
            "accessMode":"rw",
            "required":true
        }
	],
	"events": [
		{
			"outputData": [
				{
					"identifier": "OperationMode_1",
					"dataType": {
						"specs": {
							"0": "关闭",
							"1": "开启",
							"2": "暂停"
						},
						"type": "enum"
					},
					"name": "窗帘操作模式"
				},
				{
					"identifier": "TripTime_1",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "30",
							"max": "240",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "行程时间"
				},
				{
				    "identifier": "OperationMode_2",
				    "dataType": {
					    "specs": {
						    "0": "关闭",
						    "1": "开启",
						    "2": "暂停"
					    },
					    "type": "enum"
				    },
				    "name": "窗帘操作模式"
			    },
			    {
					"identifier": "TripTime_2",
					"dataType": {
						"type": "int",
						"specs": {
							"min": "30",
							"max": "240",
							"unit": "s",
							"unitName": "秒",
							"step": "1"
						}
					},
					"name": "行程时间"
				},
				{
                    "identifier":"NoDisturbMode",
                    "dataType":{
                        "specs":{
                            "0":"关闭",
                            "1":"打开"
                        },
                        "type":"bool"
                    },
                    "name":"勿扰模式开关"
                }
			],
			"identifier": "property",
			"method": "thing.event.property.post",
			"name": "property",
			"type": "info",
			"required": true,
			"desc": "属性上报"
		}
	]
}
